from django.contrib import admin
from models import *


class TideChartAdmin(admin.ModelAdmin):
    list_per_page = 20


class DayAdmin(admin.ModelAdmin):
    date_hierarchy = "date"
    list_filter = ("moonphase",)


class TideDayAdmin(admin.ModelAdmin):
    list_filter = ("day",)


admin.site.register(Day, DayAdmin)
admin.site.register(AstroChart)
admin.site.register(TideDay, TideDayAdmin)
admin.site.register(TideChart, TideChartAdmin)
admin.site.register(TideChartUpload)
admin.site.register(AstroChartUpload)
admin.site.register(WeatherConditions)
admin.site.register(WeatherForecast)
admin.site.register(WeatherAlert)
